## apt 0.6.35ubuntu2

=== debian/changelog ===
apt (0.6.35ubuntu2) hoary; urgency=low

  * debian/apt.cron.daily:
    - supress stderr output of ls (#8727)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  6 Apr 2005 21:11:11 +0200

apt (0.6.35ubuntu1) hoary; urgency=low

  * apt-pkg/indexcopy.cc:
    - added hardcoded "--ignore-time-conflict" to fix #8496

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  6 Apr 2005 18:17:23 +0200

apt (0.6.35) hoary; urgency=low

  * Merge apt--mvo--0 (incorporates 0.6.34ubuntu1):
    - Implement MaxSize and MaxAge in apt.cron.daily, to prevent the cache
      from growing too large (Ubuntu #6761)
    - some comments about the pkgAcqMetaSig::Custom600Headers() added
    - use gpg --with-colons
    - commented the ftp no_proxy unseting in methods/ftp.cc
    - added support for "Acquire::gpgv::options" in methods/gpgv.cc
  * Merge bubulle@debian.org--2005/apt--main--0
    - Make capitalization more consistent
    - Un-fuzzy translations resulting from capitalization changes
    - Italian translation update

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon,  7 Mar 2005 20:08:33 -0800

apt (0.6.34) hoary; urgency=low

  * Add missing semicolon to configure-index (Closes: #295773)
  * Update build-depends on gettext to 0.12 (Closes: #295077)
  * Merge from bubulle@debian.org--2005/apt--main--0 to get
    translation updates

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri,  4 Mar 2005 16:13:15 -0800

apt (0.6.33) hoary; urgency=low

  * Merge michael.vogt@ubuntu.com--2005/apt--mvo--0 (through patch-6)
    - patch-1: cosmetic changes (whitespace, "Apt::GPGV->APT::GPGV")
    - patch-2: (doc) documentation for gpgv
    - patch-3: (doc) new config variables added configure-index
    - patch-4: pkgAcquire::Run() pulse intervall can be configured
    - patch-5: fix for apt-get update removing Release.gpg files (#6865)
    - patch-6: change the path scoring in apt-cdrom, prefer pathes without
      symlinks

 -- Matt Zimmerman <mdz@ubuntu.com>  Sat, 26 Feb 2005 15:21:17 -0800

apt (0.6.32) hoary; urgency=low

  * Merge michael.vogt@ubuntu.com--2005/apt--mvo--0 (patch-1)
    - Implement Acquire::gpgv::options (Ubuntu bug#6283)

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue,  8 Feb 2005 19:31:15 -0800

apt (0.6.31) hoary; urgency=low

  * Matt Zimmerman
    - Remove debugging output from apt.cron.daily (no one noticed?)
    - Apply patch from Anthony Towns to allow SHA1Summation to process a file
      descriptor until EOF, rather than requiring that the length of input be
      specified (Closes: #291338)
    - Fix build/install of Polish offline documentation, based on patch from
      Christian Perrier (Closes: #270404)
  * Michael Vogt
    - apt-cdrom.cc seperated into frontend (cmdline/apt-cdrom.cc and library
      apt-pkg/cdrom.{cc,h}) (Ubuntu #5668)

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri,  4 Feb 2005 10:23:01 -0800

apt (0.6.30) unstable; urgency=low

  * Add ppc64 to buildlib/archtable
  * Merge michael.vogt@canonical.com--2004/apt--status-fd--0
    - Support preserving dpkg status file descriptor, to support
      better integration with synaptic
  
 -- Matt Zimmerman <mdz@ubuntu.com>  Wed, 19 Jan 2005 00:26:01 -0800

apt (0.6.29) hoary; urgency=low

  * Merge apt--mvo--0 (0.6.27ubuntu4)
  

 -- Matt Zimmerman <mdz@canonical.com>  Tue, 28 Dec 2004 17:18:02 -0800

apt (0.6.28) hoary; urgency=low

  * Merge apt--mvo--0
  * Rebuild source to get rid of arch metadata and temporary files in
    0.6.27ubuntu3

 -- Matt Zimmerman <mdz@canonical.com>  Thu, 23 Dec 2004 18:53:16 -0800

apt (0.6.27ubuntu4) hoary; urgency=low

  * remove old sig-file in partial/ before starting to fetch a new sig-file
    (see ubuntu #4769 for the rational)
  * added apt-key update method (uses ubuntu-keyring)
  * documented the "--allow-unauthenticated" switch
  * added DEB_BUILD_PROG_OPTS to debian/rules (additonal options can be 
    passed to DEB_BUILD_PROG like "-S")

 -- Michael Vogt <mvo@debian.org>  Thu, 23 Dec 2004 11:12:51 +0100

apt (0.6.27ubuntu3) hoary; urgency=low

  * added a exact dependency from libapt-pkg-dev to the apt version it was
    build with

 -- Michael Vogt <mvo@debian.org>  Wed, 15 Dec 2004 09:56:32 +0100

apt (0.6.27ubuntu2) hoary; urgency=low

  * fixed a bug in the rule file that happend during the big 0.5->0.6 merge

 -- Michael Vogt <mvo@debian.org>  Tue, 14 Dec 2004 12:14:25 +0100

apt (0.6.27ubuntu1) hoary; urgency=low

  * chmod 755 /usr/bin/apt-key
  * don't display a error when a apt-get update don't find a 
    Packages.bz2/Sources.bz2 file

 -- Michael Vogt <mvo@debian.org>  Mon, 13 Dec 2004 18:40:21 +0100

apt (0.6.27) hoary; urgency=low

  * Merge apt--authentication--0 branch
    - Implement gpg authentication for package repositories (Closes: #203741)
    - Also includes Michael Vogt's fixes
  * Merge apt--misc-abi-changes--0 branch
    - Use pid_t throughout to hold process IDs (Closes: #226701)
    - Import patch from Debian bug #195510: (Closes: #195510)
      - Make Simulate::Describe and Simulate::ShortBreaks private member
        functions
      - Add a parameter (Candidate) to Describe to control whether the
        candidate version is displayed
      - Pass an appropriate value for Candidate everywhere Describe is called

 -- Matt Zimmerman <mdz@canonical.com>  Mon, 13 Dec 2004 01:03:11 -0800

apt (0.5.32) hoary; urgency=low

  * Call setlocale in the methods, so that the messages are properly
    localised (Closes: #282700)
  * Implement support for bzip2-compressed debs (data.tar.bz2)

 -- Matt Zimmerman <mdz@canonical.com>  Sat, 11 Dec 2004 09:05:52 -0800

apt (0.5.31) unstable; urgency=low

  * New Romanian translation from Sorin Batariuc <sorin@bonbon.net>
    (Closes: #281458)
  * Merge changes from Hoary (0.5.30,0.5.30ubuntu2]
  * Fix the example in apt_preferences(5) to match the text
    (Closes: #222267)
  * Add APT::Periodic::Autoclean setting, to allow "apt-get autoclean" to
    be run periodically.  This is useful with

