## apt 0.6.40.1ubuntu9

=== debian/changelog ===
apt (0.6.40.1ubuntu9) breezy; urgency=low

  * No-change upload with new pkgstriptranslations that blacklists apt.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  5 Oct 2005 14:15:06 +0100

apt (0.6.40.1ubuntu8) breezy; urgency=low

  * Cherry picked michael.vogt@ubuntu.com--2005/apt--mvo--0--patch-62:
    - fix for a bad memory/file leak in the mmap code (ubuntu #15603)
  * po/de.po, po/fr.po: 
    - updated the translations
  * po/makefile:
    - create a single pot file in each domain dir to make rosetta happy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 28 Sep 2005 10:16:06 +0200

apt (0.6.40.1ubuntu7) breezy; urgency=low

  * updated the pot/po files , no code changes

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 27 Sep 2005 18:38:16 +0200

apt (0.6.40.1ubuntu6) breezy; urgency=low

  * Cherry picked michael.vogt@ubuntu.com--2005/apt--mvo--0--patch-56:
    - make it possible for apt to handle a failed MediaChange event and
      fall back to other sources (ubuntu #13713)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Sep 2005 22:09:50 +0200

apt (0.6.40.1ubuntu5) breezy; urgency=low

  * Cherry picked michael.vogt@ubuntu.com--2005/apt--mvo--0--patch-{50,51}.
    This adds media-change reporting to the apt status-fd (ubuntu #15213)
  * Cherry picked michael.vogt@ubuntu.com--2005/apt--mvo--0--patch-55:
    apt-pkg/cdrom.cc:
    - unmount the cdrom when apt failed to locate any package files

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 12 Sep 2005 15:44:26 +0200

apt (0.6.40.1ubuntu4) breezy; urgency=low

  * debian/apt.cron.daily:
    - fix a embarrassing typo
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  7 Sep 2005 10:10:37 +0200

apt (0.6.40.1ubuntu3) breezy; urgency=low

  * debian/apt.cron.daily:
    - use the ctime as well when figuring what packages need to
      be removed. This fixes the problem that packages copied with    
      "cp -a" (e.g. from the installer) have old mtimes (ubuntu #14504)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  6 Sep 2005 18:30:46 +0200

apt (0.6.40.1ubuntu2) breezy; urgency=low

  * improved the support for "error" and "conffile" reporting from
    dpkg, added the format to README.progress-reporting
  * added README.progress-reporting to the apt-doc package
  * Do md5sum checking for file and cdrom method (closes: #319142)
  * Change pkgPolicy::Pin from private to protected to let subclasses
    access it too (closes: #321799)
  * methods/connect.cc:
    - send failure reason for EAI_AGAIN (TmpResolveFailure) to acuire-item
  * apt-pkg/acquire-item.cc:
    - fail early if a FailReason is TmpResolveFailure (avoids hangs during
      the install when no network is available)
  * merged michael.vogt@ubuntu.com--2005/apt--trust-cdrom--0

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 23 Aug 2005 19:44:55 +0200

apt (0.6.40.1ubuntu1) breezy; urgency=low

  * Synchronize with Debian

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  5 Aug 2005 14:20:56 +0200

apt (0.6.40.1) unstable; urgency=low

  * bugfix in the parsing code for the apt<->dpkg communication. apt 
    crashed when dpkg sends the same state more than once under certain
    conditions
  * 0.6.40 breaks the ABI but I accidentally didn't change the soname :/

 -- Michael Vogt <mvo@debian.org>  Fri,  5 Aug 2005 13:24:58 +0200

apt (0.6.40ubuntu1) breezy; urgency=low

  * Synchronize with Debian

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu,  4 Aug 2005 15:53:22 -0700

apt (0.6.40) unstable; urgency=low

  * Patch from Jordi Mallach to mark some additional strings for translation
  * Updated Catalan translation from Jordi Mallach
  * Merge from bubulle@debian.org--2005/apt--main--0:
    - Update pot and merge with *.po
    - Updated French translation, including apt-key.fr.8
  * Restore changelog entries from the 0.6.x series that went to Debian
    experimental
  * Merge michael.vogt@ubuntu.com--2005/apt--progress-reporting--0
    - Provide an interface for progress reporting which can be used by
      (e.g.) base-config

 -- Matt Zimmerman <mdz@debian.org>  Thu, 28 Jul 2005 11:57:32 -0700

apt (0.6.39ubuntu4) breezy; urgency=low

  * Fix keyring paths in apt-key, apt.postinst (I swear I remember doing this
    before...)

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed, 29 Jun 2005 08:39:17 -0700

apt (0.6.39ubuntu3) breezy; urgency=low

  * Fix keyring locations for Ubuntu in apt-key too.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 Jun 2005 14:45:36 +0100

apt (0.6.39ubuntu2) breezy; urgency=low

  * Install ubuntu-archive.gpg rather than debian-archive.gpg as
    /etc/apt/trusted.gpg.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 Jun 2005 11:53:34 +0100

apt (0.6.39ubuntu1) breezy; urgency=low

  * Michael Vogt
    - Change debian/bugscript to use #!/bin/bash (Closes: #313402)
    - Fix a incorrect example in the man-page (closes: #282918)
    - Support architecture-specific extra overrides
      (closes: #225947). Thanks to  Anthony Towns for idea and
      the patch, thanks to Colin Watson for testing it.
    - better report network timeouts from the methods to the acuire code,
      only timeout once per sources.list line

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 28 Jun 2005 11:52:24 -0700

apt (0.6.39) unstable; urgency=low

  * Welsh translation update: daf@muse.19inch.net--2005/apt--main--0--patch-6
  * Merge mvo's changes from 0.6.36ubuntu1:
    michael.vogt@ubuntu.com--2005/apt--mvo--0--patch-32
  * Merge aggregated translation updates:
    bubulle@debian.org--2005/apt--main--0
  * Update priority of apt-utils to important, to match the override file
  * Install only one keyring on each branch (Closes: #316119)

 -- Matt Zimmerman <mdz@debian.org>  Tue, 28 Jun 2005 11:35:21 -0700

apt (0.6.38ubuntu1) breezy; urgency=low

  * First release from Ubuntu branch
  * Merge with --main--0, switch back to Ubuntu keyring

 -- Matt Zimmerman <mdz@ubuntu.com>  Sat, 25 Jun 2005 16:52:41 -0700

apt (0.6.38) unstable; urgency=low


