## apt 0.6.40.1ubuntu10

=== debian/changelog ===
apt (0.6.40.1ubuntu10) breezy-updates; urgency=low

  * Backport from dapper:
    - fix crash in apt-ftparchive (thanks to Bastian Blank for the patch)
      (closes: #334671)

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Apr 2006 14:40:49 +0100
