=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: important
 Maintainer: APT Development Team <deity@lists.debian.org>
-Uploaders: Jason Gunthorpe <jgg@debian.org>, Adam Heath <doogie@debian.org>, Matt Zimmerman <mdz@debian.org>
+Uploaders: Jason Gunthorpe <jgg@debian.org>, Adam Heath <doogie@debian.org>, Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>
 Standards-Version: 3.6.1
 Build-Depends: debhelper (>= 4.1.62), libdb4.2-dev, gettext (>= 0.12)
 Build-Depends-Indep: debiandoc-sgml, docbook-utils (>= 0.6.12-1)
@@ -53,7 +53,7 @@
 Package: apt-utils
 Architecture: any
 Depends: ${shlibs:Depends}
-Priority: optional
+Priority: important
 Provides: ${libapt-inst:provides}
 Replaces: apt (<< 0.5.9)
 Section: admin
