=== debian/rules ===
--- 
+++ 
@@ -213,6 +213,11 @@
 
 #	head -n 500 ChangeLog > debian/ChangeLog
 
+	# make rosetta happy and remove pot files in po/ (but leave stuff
+	# in po/domains/* untouched) and cp *.po into each domain dir
+	rm -f build/po/*.pot
+	rm -f po/*.pot
+
 	dh_installexamples -p$@ $(BLD)/docs/examples/*
 	dh_installman -p$@ 
 	dh_installcron -p$@
@@ -250,7 +255,3 @@
 	dh_installchangelogs -p$@
 	dh_strip -p$@
 	dh_compress -p$@
-	dh_fixperms -p$@
-#	dh_suidregister -p$@
-	dh_installdeb -p$@
-	dh_gencontrol -p$@ -u -Vlibapt-pkg:provides=$(LIBAPTPKG_PROVIDE) -Vlibapt-inst:provides=$(LIBAPTINST_PROVIDE)
