=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Jason Gunthorpe <jgg@debian.org>, Adam Heath <doogie@debian.org>, Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>
 Standards-Version: 3.6.1
-Build-Depends: debhelper (>= 4.1.62), libdb4.2-dev, gettext (>= 0.12)
-Build-Depends-Indep: debiandoc-sgml, docbook-utils (>= 0.6.12-1)
+Build-Depends: debhelper (>= 4.1.62), gettext (>= 0.12), dpatch
 
 Package: apt
 Architecture: any
@@ -14,7 +13,7 @@
 Replaces: libapt-pkg-doc (<< 0.3.7), libapt-pkg-dev (<< 0.3.7)
 Provides: ${libapt-pkg:provides}
 Suggests: aptitude | synaptic | gnome-apt | wajig, dpkg-dev, apt-doc, bzip2, gnupg
-Section: base
+Section: admin
 Description: Advanced front-end for dpkg
  This is Debian's next generation front-end for the dpkg package manager.
  It provides the apt-get utility and APT dselect method that provides a 
@@ -22,15 +21,6 @@
  .
  APT features complete installation ordering, multiple source capability
  and several other unique features, see the Users Guide in apt-doc.
-
-Package: apt-doc
-Architecture: all
-Priority: optional
-Replaces: apt (<< 0.5.4.9)
-Section: doc
-Description: Documentation for APT
- This package contains the user guide and offline guide, for APT, an
- Advanced Package Tool.
 
 Package: libapt-pkg-dev
 Architecture: any
@@ -41,14 +31,6 @@
  This package contains the header files and libraries for
  developing with APT's libapt-pkg Debian package manipulation
  library and the libapt-inst deb/tar/ar library.
-
-Package: libapt-pkg-doc
-Architecture: all
-Priority: optional
-Section: doc
-Description: Documentation for APT development
- This package contains documentation for development of the APT
- Debian package manipulation program and its libraries.
 
 Package: apt-utils
 Architecture: any
