=== debian/changelog ===
apt (0.6.42.3osso18) unstable; urgency=low

  * Fixes: NB#31929.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon, 23 Oct 2006 21:00:17 +0300

apt (0.6.42.3osso17) unstable; urgency=low

  * Fixes: NB#31929, NB#32959.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Thu,  7 Sep 2006 15:59:17 +0300

apt (0.6.42.3osso16) unstable; urgency=low

  * More improvements for the dpkg status parsing.  Fixes: NB#25494.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Fri, 25 Aug 2006 20:14:51 +0300

apt (0.6.42.3osso15) unstable; urgency=low

  * Added 06transientsigs patch, to survive transient network failures
    without forgetting about good signatures.  Fixes: NB#34545.
  * Removed evil dpatch from build system.  (I plan to continue gathering
    patches in debian/patches, but just for documentation purposes.)

 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed, 12 Jul 2006 18:30:28 +0300

apt (0.6.42.3osso14) unstable; urgency=low

  * Added 05statusparse patch, to improve robustness when parsing status
    output from dpkg. Fixes: NB#33835.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Fri, 30 Jun 2006 16:55:59 +0300
